language:
  - cpp

matrix:
  include:
    - os: osx
      osx_image: xcode9
    - os: linux
      dist: xenial
      sudo: required
      addons:
        apt:
          packages:
           - libbz2-dev libfftw3-dev libfishsound1-dev libid3tag0-dev liblo-dev liblrdf0-dev libmad0-dev liboggz2-dev libopus-dev libopusfile-dev libpulse-dev libsamplerate-dev libsndfile-dev libsord-dev libxml2-utils portaudio19-dev qt5-default libqt5svg5-dev raptor-utils librubberband-dev autoconf libtool git mlton

before_install:
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then brew update ; fi
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then brew unlink python ; fi
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then brew upgrade mercurial ; fi
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then brew install polyml ; fi
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then brew install qt5 ; fi
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then export PATH=$PATH:/usr/local/opt/qt5/bin ; fi
  - ( cd ../ ; git clone https://github.com/sandstorm-io/capnproto )
  - ( cd ../capnproto/ ; git checkout v0.6.1 )
  - ( cd ../capnproto/c++ ; autoreconf -i )
  - ( cd ../capnproto/c++ ; ./configure && make && sudo make install )

before_script:
  - if [[ "$TRAVIS_OS_NAME" = "linux" ]] ; then ./configure ; else ./repoint install && qmake -r sonic-visualiser.pro ; fi

script:
  - make -j3
  - if [[ "$TRAVIS_OS_NAME" = "linux" ]] ; then ./deploy/linux/deploy-appimage.sh ; fi
